@import url('https://fonts.googleapis.com/css2?family=Albert+Sans&display=swap');

:root .lpx-brand-logo {
    --lpx-logo: url('/images/logo/leptonx/logo-light.png');
    --lpx-logo-icon: url('/images/logo/leptonx/logo-light-thumbnail.png');
    --bs-primary: #315AEC;
    --gray-100: #EEEFF1;
}

body {
    font-family: 'Albert Sans', sans-serif;
}

a{
    color: #315AEC;
    text-decoration: none;
}

.btn-primary{
    background-color: #315AEC;
    border-color: #315AEC;
}

.container{
    max-width: 500px;
    display: flex;
    flex-direction: column;
    flex: 1;
    justify-content: center;
    height: 100vh;
}
.card{
    border-radius: 1rem !important;
}

.abp-empty-layout{
    background-color: #F9FAFB;
    height: 100vh;
}

.account-container{
    border-width: 1px;
    border-color: #EBECED ;
}

.form-control{
    border: 2px solid var(--gray-100, #EEEFF1);
    border-radius: 16px;
    padding-block: 0.6rem;
    box-shadow: 1px 1px 2px 0 rgba(79, 79, 79, 0.05);
    font-weight: 100;
}

.form-label, .form-check-label{
    color: #64656F;
    font-weight: 100;
}

#PasswordVisibilityButton{
    border: 2px solid var(--gray-100, #EEEFF1);
    border-left-width: 0;
}
.btn{
    border-radius: 16px;
    font-size: 1em;
    padding-block: 0.8rem;
}

p{
    font-size: 0.9rem;
    color: #64656F;
}

.heading{
    margin-top: -8rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-bottom: 3rem;
}

.heading h1 {
    font-size: 1.3rem;
    font-weight: bold;
}

.container > #AbpPageAlerts {
    display: none;
}

.actions{
    display: flex;
    margin-top: 2rem;
    gap: 1em;
    flex-direction: column;
}

.actions .btn-link{
    text-decoration: none;
}

.loader {
    width: 100%;
    height: 4.8px;
    display: inline-block;
    position: relative;
    background: rgba(0, 0, 0, 0.15);
    overflow: hidden;
}
.loader::after {
    content: '';
    width: 192px;
    height: 4.8px;
    background: #000;
    position: absolute;
    top: 0;
    left: 0;
    box-sizing: border-box;
    animation: animloader 2s linear infinite;
}

.loader-container{
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    margin-top: -12px;
}

@keyframes animloader {
    0% {
        left: 0;
        transform: translateX(-100%);
    }
    100% {
        left: 100%;
        transform: translateX(0%);
    }
}
    